- Home
- API Enriched
- Virtual
- ml
- Unmerge Source from API Endpoint.
Unmerge Source from API Endpoint.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoint/unmerge_sources_openapi_schema';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"discovery_source_type":"MERGED","id":"example","name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoint/unmerge_sources_openapi_schema \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "discovery_source_type": "MERGED", "id": "example", "name": "example", "namespace": "example" }'Unmerge Source Discovered schema from API Endpoint merged schema.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the virtual host for current request.
Virtual Host Name Virtual Host name for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Unmerge Source from endpoint.
object
Endpoint ID.
Virtual Host name for current request.
Namespace of the virtual host for current request.
Responses
Section titled “Responses”A successful response.
Examplegenerated
exampleReturned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example